Documentation Index
Fetch the complete documentation index at: https://docs-staging.auth0-mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
POST /dbconnections/change_password
Send a change password email to the user’s provided email address and connection.
Optionally, you may provide an Organization ID to support Organization-specific variables in customized email templates and to include the organization_id and organization_name parameters in the Redirect To URL.
Note: This endpoint only works for database connections.
Remarks
- When the user clicks on the password change link they will be redirected to a page asking them for a new password.
- This endpoint will return three HTTP Response Headers, that provide relevant data on its rate limits:
X-RateLimit-Limit: Number of requests allowed per minute.X-RateLimit-Remaining: Number of requests available. Each new request reduces this number by 1. For each minute that passes, requests are added back, so this number increases by 1 each time.X-RateLimit-Reset: Remaining time until the rate limit (X-RateLimit-Limit) resets. The value is in UTC epoch seconds.
Learn More
- Changing a User’s Password
- Password Strength in Auth0 Database Connections
- Password Options in Auth0 Database Connections
- Auth0 API Rate Limit Policy
Parameters
The
client_id of your client.The user’s email address.
The name of the database connection configured to your client.
The
organization_id of the Organization associated with the user.Response
| Status | Description |
|---|---|
| 200 | A change password email has been sent. |
| 400 | Bad request, missing or invalid parameters. |
| 404 | User not found. |